WP6EOLGroup Class Reference documentation

WP6EOLGroup Class Reference

`#include <WP6EOLGroup.h>`

Inheritance diagram for WP6EOLGroup:

## Public Member Functions
| WP6EOLGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
| ~WP6EOLGroup () override
void | _readContents (librevenge::RVNGInputStream *input, WPXEncryption *encryption) override
void | parse (WP6Listener *listener) override
Public Member Functions inherited from WP6VariableLengthGroup
| WP6VariableLengthGroup ()
| ~WP6VariableLengthGroup () override
Public Member Functions inherited from WP6Part
virtual | ~WP6Part ()

## Private Member Functions
| WP6EOLGroup (const WP6EOLGroup &)
WP6EOLGroup & | operator= (const WP6EOLGroup &)

## Private Attributes
unsigned char | m_colSpan
unsigned char | m_rowSpan
bool | m_boundFromAbove
bool | m_useCellAttributes
bool | m_useCellJustification
bool | m_ignoreInCalculations
bool | m_cellIsLocked
unsigned | m_cellAttributes
unsigned char | m_cellJustification
WPXVerticalAlignment | m_cellVerticalAlign
std::unique_ptr< RGBSColor > | m_cellFgColor
std::unique_ptr< RGBSColor > | m_cellBgColor
std::unique_ptr< RGBSColor > | m_cellBorderColor
unsigned char | m_cellBorders
bool | m_isHeaderRow
bool | m_isMinimumHeight
unsigned short | m_rowHeight
bool | m_isDontEndAParagraphStyleForThisHardReturn

## Additional Inherited Members
Static Public Member Functions inherited from WP6VariableLengthGroup
static WP6VariableLengthGroup * | constructVariableLengthGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
static bool | isGroupConsistent (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char groupID)
Static Public Member Functions inherited from WP6Part
static WP6Part * | constructPart (librevenge::RVNGInputStream *input, WPXEncryption *encryption, const unsigned char readVal)
Protected Member Functions inherited from WP6VariableLengthGroup
void | _read (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
unsigned char | getSubGroup () const
unsigned short | getSize () const
unsigned char | getFlags () const
unsigned char | getNumPrefixIDs () const
const unsigned short * | getPrefixIDs () const
unsigned short | getSizeNonDeletable () const
unsigned short | getSizeDeletable () const

## Constructor & Destructor Documentation

## ◆ WP6EOLGroup() [1/2]

WP6EOLGroup::WP6EOLGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )

Referenced by operator=(), and WP6EOLGroup().

## ◆ ~WP6EOLGroup()

WP6EOLGroup::~WP6EOLGroup | ( |  | ) |
| override

## ◆ WP6EOLGroup() [2/2]

WP6EOLGroup::WP6EOLGroup | ( | const WP6EOLGroup & |  | ) |
| private

## Member Function Documentation

## ◆ _readContents()

void WP6EOLGroup::_readContents | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption )
| overridevirtual

Reimplemented from WP6VariableLengthGroup.

## ◆ operator=()

WP6EOLGroup & WP6EOLGroup::operator= | ( | const WP6EOLGroup & |  | ) |
| private

## ◆ parse()

void WP6EOLGroup::parse | ( | WP6Listener * | listener | ) |
| overridevirtual

Implements WP6Part.

## Member Data Documentation

## ◆ m_boundFromAbove

bool WP6EOLGroup::m_boundFromAbove
| private

Referenced by _readContents(), parse(), and WP6EOLGroup().

## ◆ m_cellAttributes

unsigned WP6EOLGroup::m_cellAttributes
| private

Referenced by _readContents(), parse(), and WP6EOLGroup().

## ◆ m_cellBgColor

std::unique_ptr<RGBSColor> WP6EOLGroup::m_cellBgColor
| private

Referenced by _readContents(), parse(), and WP6EOLGroup().

## ◆ m_cellBorderColor

std::unique_ptr<RGBSColor> WP6EOLGroup::m_cellBorderColor
| private

Referenced by _readContents(), parse(), and WP6EOLGroup().

## ◆ m_cellBorders

unsigned char WP6EOLGroup::m_cellBorders
| private

Referenced by _readContents(), parse(), and WP6EOLGroup().

## ◆ m_cellFgColor

std::unique_ptr<RGBSColor> WP6EOLGroup::m_cellFgColor
| private

Referenced by _readContents(), parse(), and WP6EOLGroup().

## ◆ m_cellIsLocked

bool WP6EOLGroup::m_cellIsLocked
| private

Referenced by _readContents(), and WP6EOLGroup().

## ◆ m_cellJustification

unsigned char WP6EOLGroup::m_cellJustification
| private

Referenced by _readContents(), parse(), and WP6EOLGroup().

## ◆ m_cellVerticalAlign

WPXVerticalAlignment WP6EOLGroup::m_cellVerticalAlign
| private

Referenced by _readContents(), parse(), and WP6EOLGroup().

## ◆ m_colSpan

unsigned char WP6EOLGroup::m_colSpan
| private

Referenced by _readContents(), parse(), and WP6EOLGroup().

## ◆ m_ignoreInCalculations

bool WP6EOLGroup::m_ignoreInCalculations
| private

Referenced by _readContents(), and WP6EOLGroup().

## ◆ m_isDontEndAParagraphStyleForThisHardReturn

bool WP6EOLGroup::m_isDontEndAParagraphStyleForThisHardReturn
| private

Referenced by _readContents(), parse(), and WP6EOLGroup().

## ◆ m_isHeaderRow

bool WP6EOLGroup::m_isHeaderRow
| private

Referenced by _readContents(), parse(), and WP6EOLGroup().

## ◆ m_isMinimumHeight

bool WP6EOLGroup::m_isMinimumHeight
| private

Referenced by _readContents(), parse(), and WP6EOLGroup().

## ◆ m_rowHeight

unsigned short WP6EOLGroup::m_rowHeight
| private

Referenced by _readContents(), parse(), and WP6EOLGroup().

## ◆ m_rowSpan

unsigned char WP6EOLGroup::m_rowSpan
| private

Referenced by _readContents(), parse(), and WP6EOLGroup().

## ◆ m_useCellAttributes

bool WP6EOLGroup::m_useCellAttributes
| private

Referenced by _readContents(), parse(), and WP6EOLGroup().

## ◆ m_useCellJustification

bool WP6EOLGroup::m_useCellJustification
| private

Referenced by _readContents(), parse(), and WP6EOLGroup().

The documentation for this class was generated from the following files:

- WP6EOLGroup.h
- WP6EOLGroup.cpp